Subject: bug#66317: Project mode-line

From: Juri Linkov <[email-masked]>
Date: Tue, 10 Oct 2023 09:56:51 +0300

>>>> Thanks, I've tried this patch on top of Emacs master and it seems to
>>>> work well.  One small suggestion is to consider giving the project name
>>>> in the mode line a dedicated face, so people/themes could customize its
>>>> appearance.  (By default, it could just inherit from `default`.)
>>>
>>> Thanks for suggestion, will do on the second round after pushing the
>>> initial version.
>>
>> I'm not yet sure whether better to add a new face or a new variable like
>> grep-hit-face and xref-num-matches-face that refers to the existing face.
>> Then it would be possible to set such variable e.g. to the face `vc-state-base`
>> that inherits from `default`.
>
> Personally I think a variable pointing to a face name is a somewhat
> redundant indirection, since customizing the face to inherit from some
> other face is just as easy as customizing the variable to point to a
> different face.  But either way works, of course.

Probably adding a variable would be more suitable since currently
there are no faces defined in project.el at all.